USE BaseCasadoCabelereiro;

/*essa consulta seleciona a integracao
do produto a partir do codigo do fornecedor 
para isso precisamos passar o cnpj,
o codigo do produto no xml e a consulta
retorna onde o produto esta integrado*/
SELECT 

INTEGRACAO.ID,
INTEGRACAO.CodigoMercadoria,
INTEGRACAO.CodigoFornecedor,
INTEGRACAO.CNPJ,
INTEGRACAO.QuantPorCaixa,
MERCADORIA.[Cód Fabricante],
MERCADORIA.Desativado

FROM

XML_ImportProdForne AS INTEGRACAO
JOIN [Cadastro de mercadorias] AS MERCADORIA
ON INTEGRACAO.CodigoMercadoria = MERCADORIA.[Código da Mercadoria]


WHERE
--cnpj do fornecedor que esta no xml
CNPJ = '04916463000159'

--codigo da mercadoria no sistema do fornecedor que esta no xml
AND INTEGRACAO.CodigoFornecedor = '000573'